Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Bulk create or update variant prices

Creates new prices or updates existing prices for product variants in bulk. Accepts up to 100 price items with variant, store group, and market information. Each price item can include regular price, sale price, reference price, status, and sale date ranges.

PUT/api/v1/{team_slug}/{app_slug}/variants/prices/bulk
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Request body
requiredapplication/json

Prices data

dont_update_price_if_on_saleboolean

Used to prevent overwriting price if on_sale.

pricesinternal_pkg_webserver_v1.BulkPutPriceItem[]required
max items 50
Show properties
Array of internal_pkg_webserver_v1.BulkPutPriceItem
amount_cents_with_taxinteger
min 0
market_slugstringrequired
on_saleboolean
reference_price_with_taxinteger
min 0
sale_end_timestampstring
sale_price_with_taxinteger
min 0
sale_start_timestampstring
statusgithub_com_enadhq_nabbit_internal_pkg_webserver_models.PriceStatus
Allowed:activeinactivedraft
store_group_slugstringrequired
variant_idstringrequired
Responses
200

Prices created or updated successfully

datainternal_pkg_webserver_v1.BulkPutPricesResponserequired
Show properties
failedinternal_pkg_webserver_v1.BulkPutPriceFailedOp[] | null
Show properties
Array of internal_pkg_webserver_v1.BulkPutPriceFailedOp
market_slugstring
reasonstring
store_group_slugstring
variant_idstring
successfulgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantPriceWithStoreGroup[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantPriceWithStoreGroup
amount_cents_with_taxinteger
created_atstring
idstring
marketgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Market
Show properties
activeboolean
country_codesstring[] | null
created_atstring
currency_codestring
idstring
localestring
namestring
slugstring
updated_atstring | null
on_saleboolean
reference_price_with_taxinteger | null
sale_end_timestampstring | null
sale_price_with_taxinteger | null
sale_start_timestampstring | null
statusgithub_com_enadhq_nabbit_internal_pkg_webserver_models.PriceStatus
Allowed:activeinactivedraft
store_groupgithub_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroup
Show properties
country_of_salestring | null
created_atstring
descriptionstring
idstring
namestring
slugstring
store_typestring
updated_atstring | null
updated_atstring | null
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PUT 'https://api.enad.io/api/v1/string/string/variants/prices/bulk' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "dont_update_price_if_on_sale": true,
  "prices": [
    {
      "amount_cents_with_tax": 0,
      "market_slug": "string",
      "on_sale": true,
      "reference_price_with_tax": 0,
      "sale_end_timestamp": "string",
      "sale_price_with_tax": 0,
      "sale_start_timestamp": "string",
      "status": "active",
      "store_group_slug": "string",
      "variant_id": "string"
    }
  ]
}'
Response
{
  "data": {
    "failed": [
      {
        "market_slug": "string",
        "reason": "string",
        "store_group_slug": "string",
        "variant_id": "string"
      }
    ],
    "successful": [
      {
        "amount_cents_with_tax": 0,
        "created_at": "string",
        "id": "string",
        "market": {
          "active": true,
          "country_codes": [
            "string"
          ],
          "created_at": "string",
          "currency_code": "string",
          "id": "string",
          "locale": "string",
          "name": "string",
          "slug": "string",
          "updated_at": "string"
        },
        "on_sale": true,
        "reference_price_with_tax": 0,
        "sale_end_timestamp": "string",
        "sale_price_with_tax": 0,
        "sale_start_timestamp": "string",
        "status": "active",
        "store_group": {
          "country_of_sale": "string",
          "created_at": "string",
          "description": "string",
          "id": "string",
          "name": "string",
          "slug": "string",
          "store_type": "string",
          "updated_at": "string"
        },
        "updated_at": "string"
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}